Refresh an ID token (deprecated)
curl --request POST \
--url https://laso.finance/refresh \
--header 'Content-Type: application/json' \
--data '
{
"refresh_token": "<string>"
}
'import requests
url = "https://laso.finance/refresh"
payload = { "refresh_token": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({refresh_token: '<string>'})
};
fetch('https://laso.finance/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auth": {
"id_token": "<string>",
"refresh_token": "<string>",
"expires_in": "<string>"
},
"user_id": "<string>"
}{
"error": "refresh_token is required in request body"
}{
"error": "Failed to refresh token. Token may be invalid or revoked."
}Account
Refresh an ID token (deprecated)
deprecated
Deprecated: Use POST /auth with grant_type=refresh_token instead. This endpoint is kept for backward compatibility.
Exchange a refresh token for a new ID token. This is a free endpoint — no x402 payment required.
POST
/
refresh
Refresh an ID token (deprecated)
⌘I